package com.ruoyi.project.intact.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.sems.domain.TApprove;
import com.ruoyi.project.sems.mapper.TApproveMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.intact.mapper.TIntactPumpMapper;
import com.ruoyi.project.intact.domain.TIntactPump;
import com.ruoyi.project.intact.service.ITIntactPumpService;

/**
 * 设备完整性泵台账Service业务层处理
 *
 * @author ruoyi
 * @date 2022-06-22
 */
@Service
public class TIntactPumpServiceImpl extends ServiceImpl<TIntactPumpMapper, TIntactPump> implements ITIntactPumpService
{
    @Autowired
    private TIntactPumpMapper tIntactPumpMapper;

    /**
     * 查询设备完整性泵台账
     *
     * @param id 设备完整性泵台账ID
     * @return 设备完整性泵台账
     */
    @Override
    public TIntactPump selectTIntactPumpById(Long id)
    {
        return tIntactPumpMapper.selectTIntactPumpById(id);
    }

    /**
     * 查询设备完整性泵台账列表
     *
     * @param tIntactPump 设备完整性泵台账
     * @return 设备完整性泵台账
     */
    @Override
    public List<TIntactPump> selectTIntactPumpList(TIntactPump tIntactPump)
    {
        return tIntactPumpMapper.selectTIntactPumpList(tIntactPump);
    }

    /**
     * 新增设备完整性泵台账
     *
     * @param tIntactPump 设备完整性泵台账
     * @return 结果
     */
    @Override
    public int insertTIntactPump(TIntactPump tIntactPump)
    {
        return tIntactPumpMapper.insertTIntactPump(tIntactPump);
    }

    /**
     * 修改设备完整性泵台账
     *
     * @param tIntactPump 设备完整性泵台账
     * @return 结果
     */
    @Override
    public int updateTIntactPump(TIntactPump tIntactPump)
    {
        return tIntactPumpMapper.updateTIntactPump(tIntactPump);
    }

    /**
     * 批量删除设备完整性泵台账
     *
     * @param ids 需要删除的设备完整性泵台账ID
     * @return 结果
     */
    @Override
    public int deleteTIntactPumpByIds(Long[] ids)
    {
        return tIntactPumpMapper.deleteTIntactPumpByIds(ids);
    }

    /**
     * 删除设备完整性泵台账信息
     *
     * @param id 设备完整性泵台账ID
     * @return 结果
     */
    @Override
    public int deleteTIntactPumpById(Long id)
    {
        return tIntactPumpMapper.deleteTIntactPumpById(id);
    }
}
